Skip to main content
PUT
/
api
/
workspace
/
{workspaceId}
/
surfaces
/
{surfaceKey}
Update surface
curl --request PUT \
  --url https://app.alana.shopping/api/workspace/{workspaceId}/surfaces/{surfaceKey} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "<string>",
  "constraints": {
    "max_title_length": 255,
    "max_description_length": 2525,
    "tone": "<string>",
    "format_hints": [
      "<string>"
    ]
  }
}
'
{
  "surface": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "surface_key": "<string>",
    "display_name": "<string>",
    "is_system": true,
    "constraints": {
      "max_title_length": 255,
      "max_description_length": 2525,
      "tone": "<string>",
      "format_hints": [
        "<string>"
      ]
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>

Path Parameters

workspaceId
string<uuid>
required
surfaceKey
string
required
Pattern: ^[a-z][a-z0-9_]{1,48}[a-z0-9]$

Body

application/json
display_name
string
constraints
object

Response

Surface updated

surface
object
Last modified on April 13, 2026